//+------------------------------------------------------------------+
//|                                    AkulascalperTodayRange 1B.mq4 |
//|                      Copyright  2004, MetaQuotes Software Corp. |
//|                                       http://www.metaquotes.net/ |
//+------------------------------------------------------------------+
#property copyright "Copyright  2004, MetaQuotes Software Corp."
#property link      "http://www.Carigold.com/"
#property indicator_chart_window
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+

extern double Tf_Minute=1440;
extern double Tf_Shift=0;
extern double Pip_Step=30;
extern color  LineColor=DarkGray;
extern color  LineColor1=DarkGray;
extern color  LineColor2=White;
string        txt1,txt2;
int init()
  {
    ObjectCreate("Lable1",OBJ_LABEL,0,0,1.0);
   ObjectSet("Lable1", OBJPROP_CORNER, 2);
   ObjectSet("Lable1", OBJPROP_XDISTANCE, 20);
   ObjectSet("Lable1", OBJPROP_YDISTANCE, 19);
   txt1="AKULASCALPER TODAY RANGE 1B ";
   ObjectSetText("Lable1",txt1,11,"Arial Narrow",Yellow);
//-------------------------
   ObjectCreate("Lable2",OBJ_LABEL,0,0,1.0);
   ObjectSet("Lable2", OBJPROP_CORNER, 2);
   ObjectSet("Lable2", OBJPROP_XDISTANCE, 3);
   ObjectSet("Lable2", OBJPROP_YDISTANCE, 1);
   txt2="      Created by Akulascalper a.k.a Powerfx";
   ObjectSetText("Lable2",txt2,10,"Arial Narrow",Yellow);  
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   ObjectDelete("Lable2");
   ObjectDelete("txt2");
   ObjectDelete("S1");
   ObjectDelete("S2");
   ObjectDelete("S3");
   ObjectDelete("S4");
   ObjectDelete("S5");
   ObjectDelete("S6");
   ObjectDelete("S7");
   ObjectDelete("S8");
   ObjectDelete("S9");
   ObjectDelete("S10");
   ObjectDelete("S11");
   ObjectDelete("S12");  
   ObjectDelete("R1");
   ObjectDelete("R2");
   ObjectDelete("R3");
   ObjectDelete("R4");
   ObjectDelete("R5");
   ObjectDelete("R6");
   ObjectDelete("R7");
   ObjectDelete("R8");
   ObjectDelete("R9");
   ObjectDelete("R10");
   ObjectDelete("R11");
   ObjectDelete("R12");   
   ObjectDelete("LEVEL");
   ObjectDelete("H1");
   ObjectDelete("H2");
   ObjectDelete("H3");
   ObjectDelete("H4");
   ObjectDelete("H5");
   ObjectDelete("H6");
   ObjectDelete("H7");
   ObjectDelete("H8");
   ObjectDelete("H9");
   ObjectDelete("H10");
   ObjectDelete("H11");
   ObjectDelete("H12"); 
   ObjectDelete("Open");
   ObjectDelete("L1");
   ObjectDelete("L2");
   ObjectDelete("L3");
   ObjectDelete("L4");
   ObjectDelete("L5");
   ObjectDelete("L6");
   ObjectDelete("L7");
   ObjectDelete("L8");
   ObjectDelete("L9");
   ObjectDelete("L10");
   ObjectDelete("L11");
   ObjectDelete("L12");   
   Comment(" ");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
{

double p  = iOpen(NULL,Tf_Minute,Tf_Shift);
double r1 = p   + Pip_Step * Point;
double r2 = r1  + Pip_Step *Point;
double r3 = r2  + Pip_Step *Point;
double r4 = r3  + Pip_Step *Point;
double r5 = r4  + Pip_Step *Point;
double r6 = r5  + Pip_Step *Point;
double r7 = r6  + Pip_Step *Point;
double r8 = r7  + Pip_Step *Point;
double r9 = r8  + Pip_Step *Point;
double r10= r9  + Pip_Step *Point;
double r11= r10 + Pip_Step *Point;
double r12= r11 + Pip_Step *Point;

double s1 = p   - Pip_Step * Point ;
double s2 = s1  - Pip_Step * Point;
double s3 = s2  - Pip_Step * Point;
double s4 = s3  - Pip_Step * Point;
double s5 = s4  - Pip_Step * Point;
double s6 = s5  - Pip_Step * Point;
double s7 = s6  - Pip_Step * Point;
double s8 = s7  - Pip_Step * Point;
double s9 = s8  - Pip_Step * Point;
double s10= s9  - Pip_Step * Point;
double s11= s10 - Pip_Step * Point;
double s12= s11 - Pip_Step * Point;


drawLine(r12,"R12", LineColor,0);
drawLabel("H12",r12,Lime);

drawLine(r11,"R11", LineColor,0);
drawLabel("H11",r11,Lime);

drawLine(r10,"R10", LineColor,0);
drawLabel("H10",r10,Lime);

drawLine(r9,"R9", LineColor,0);
drawLabel("H9",r9,Lime);

drawLine(r8,"R8", LineColor,0);
drawLabel("H8",r8,Lime);

drawLine(r7,"R7", LineColor,0);
drawLabel("H7",r7,Lime);

drawLine(r6,"R6", LineColor,0);
drawLabel("H6",r6,Lime);

drawLine(r5,"R5", LineColor,0);
drawLabel("H5",r5,Lime);

drawLine(r4,"R4", LineColor,0);
drawLabel("H4",r4,Lime);

drawLine(r3,"R3", LineColor,0);
drawLabel("H3",r3,Lime);

drawLine(r2,"R2", LineColor,0);
drawLabel("H2",r2,Lime);

drawLine(r1,"R1", LineColor,0);
drawLabel("H1",r1,Lime);


drawLine(p,"LEVEL",LineColor2,1);
drawLabel("Open",p,White);


drawLine(s1,"S1",LineColor1,0);
drawLabel("L1",s1,Red);

drawLine(s2,"S2",LineColor1,0);
drawLabel("L2",s2,Red);

drawLine(s3,"S3",LineColor1,0);
drawLabel("L3",s3,Red);

drawLine(s4,"S4",LineColor1,0);
drawLabel("L4",s4,Red);

drawLine(s5,"S5",LineColor1,0);
drawLabel("L5",s5,Red);

drawLine(s6,"S6",LineColor1,0);
drawLabel("L6",s6,Red);

drawLine(s7,"S7",LineColor1,0);
drawLabel("L7",s7,Red);

drawLine(s8,"S8",LineColor1,0);
drawLabel("L8",s8,Red);

drawLine(s9,"S9",LineColor1,0);
drawLabel("L9",s9,Red);

drawLine(s10,"S10",LineColor1,0);
drawLabel("L10",s10,Red);

drawLine(s11,"S11",LineColor1,0);
drawLabel("L11",s11,Red);

drawLine(s12,"S12",LineColor1,0);
drawLabel("L12",s12,Red);


   return(0);
  }
//+------------------------------------------------------------------+
void drawLabel(string name,double lvl,color Color)
{
    if(ObjectFind(name) != 0)
    {
        ObjectCreate(name, OBJ_TEXT, 0, Time[10], lvl);
        ObjectSetText(name, name, 8, "Arial", EMPTY);
        ObjectSet(name, OBJPROP_COLOR, Color);
    }
    else
    {
        ObjectMove(name, 0, Time[10], lvl);
    }
}


void drawLine(double lvl,string name, color Col,int type)
{
         if(ObjectFind(name) != 0)
         {
            ObjectCreate(name, OBJ_HLINE, 0, Time[0], lvl,Time[0],lvl);
            
            if(type == 1)
            ObjectSet(name, OBJPROP_STYLE, STYLE_SOLID);
            else
            ObjectSet(name, OBJPROP_STYLE, STYLE_DOT);
            
            ObjectSet(name, OBJPROP_COLOR, Col);
            ObjectSet(name,OBJPROP_WIDTH,1);
            
         }
         else
         {
            ObjectDelete(name);
            ObjectCreate(name, OBJ_HLINE, 0, Time[0], lvl,Time[0],lvl);
            
            if(type == 1)
            ObjectSet(name, OBJPROP_STYLE, STYLE_SOLID);
            else
            ObjectSet(name, OBJPROP_STYLE, STYLE_DOT);
            
            ObjectSet(name, OBJPROP_COLOR, Col);        
            ObjectSet(name,OBJPROP_WIDTH,1);
          
         }
}